Bug 125046 - CAN-2004-0488 mod_ssl ssl_util_uuencode_binary() stack overflow
CAN-2004-0488 mod_ssl ssl_util_uuencode_binary() stack overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 08:11 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-06 04:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-02 08:11:09 EDT
A stack-based buffer overflow in the ssl_util_uuencode_binary
function in ssl_util.c for Apache mod_ssl when mod_ssl is
configured to trust the issuing CA, and "FakeBasicAuth" is
being used, could allow remote attackers to execute arbitrary
code via a client certificate with a long subject DN.  Public
to full-disclosure on 17May.  Fixed Apache 2 CVS 25May

It is quite unlikely that users will have a vulnerable configuration
of Apache, therefore this is of low risk.

        CAN-2004-0488 Affects: 3AS 3WS 3ES 3Desktop
        CAN-2004-0488 Affects: 2AS 2WS 2ES 2AW
Comment 1 Mark J. Cox (Product Security) 2004-06-02 08:15:08 EDT
(separate bug #125048  to track RHEL2.1 as mod_ssl was separate)
Comment 3 Mark J. Cox (Product Security) 2004-07-06 04:34:33 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-342.html

Note You need to log in before you can comment on or make changes to this bug.